Patch-Source: https://src.fedoraproject.org/rpms/at/blob/f36/f/at-3.1.20-log-jobs.patch (updated)
--
From: Tomas Mraz <tmraz@fedoraproject.org>
Date: May 23 2018 13:24:02 +0000
Subject: log the jobs being run

diff --git a/atd.c b/atd.c
--- a/atd.c
+++ b/atd.c
@@ -354,6 +354,10 @@ run_file(const char *filename, uid_t uid, gid_t gid)
 	pabort("Userid %lu not found - aborting job %8lu (%.500s)",
 	       (unsigned long) uid, jobno, filename);
     }
+
+    syslog(LOG_INFO, "Starting job %lu (%.500s) for user '%s' (%lu)",
+		jobno, filename, pentry->pw_name, (unsigned long) uid);
+
     PRIV_START
 
 	stream = fopen(filename, "r");
